package net.yyc.common.taxhelper.entity.model;

import net.yyc.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;


/**
 * {@code TaxHelperAppletBizTokenModel} 微信小程序token获取model
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-22
 * @since ver.1.0.0
 */
@Data
public class TaxHelperAppletBizTokenModel extends TaxHelperModel {

	private static final long serialVersionUID = -1708106472881176225L;

	/**
	 * 身份证号
	 */
	private String idCard;

	/**
	 * 回调地址
	 */
	private String notifyUrl;

	public TaxHelperAppletBizTokenModel(TaxHelperConfig taxHelperConfig){
		this.appId = taxHelperConfig.getAppId();
		this.appSecrete = taxHelperConfig.getAppSecrete();
		this.queryUrl = taxHelperConfig.getQueryUrl();
	}


}
